curl https://api.quintai.dev/v1/sessions/6ba7b810-9dad-11d1-80b4-00c04fd430c8/children \
-H "Authorization: Bearer qt_deploy_YOUR_TOKEN"
import requests
response = requests.get(
"https://api.quintai.dev/v1/sessions/6ba7b810-9dad-11d1-80b4-00c04fd430c8/children",
headers={"Authorization": "Bearer qt_deploy_YOUR_TOKEN"},
)
print(response.json())
{
"children": [
{
"id": "7ca8c921-aeae-22e2-91c5-11d15ge541d9",
"session_name": "MCP server task",
"model": "claude-sonnet-4-20250514",
"state": "ended",
"platform": "claude-code",
"parent_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"started_at": "2026-04-12T14:10:00Z",
"ended_at": "2026-04-12T14:12:00Z"
}
]
}
Session Endpoints
Session Children
List child sessions spawned from a parent session.
GET
/
v1
/
sessions
/
{id}
/
children
curl https://api.quintai.dev/v1/sessions/6ba7b810-9dad-11d1-80b4-00c04fd430c8/children \
-H "Authorization: Bearer qt_deploy_YOUR_TOKEN"
import requests
response = requests.get(
"https://api.quintai.dev/v1/sessions/6ba7b810-9dad-11d1-80b4-00c04fd430c8/children",
headers={"Authorization": "Bearer qt_deploy_YOUR_TOKEN"},
)
print(response.json())
{
"children": [
{
"id": "7ca8c921-aeae-22e2-91c5-11d15ge541d9",
"session_name": "MCP server task",
"model": "claude-sonnet-4-20250514",
"state": "ended",
"platform": "claude-code",
"parent_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"started_at": "2026-04-12T14:10:00Z",
"ended_at": "2026-04-12T14:12:00Z"
}
]
}
Requires
Authorization: Bearer header with a deploy token (qt_deploy_*) or Supabase JWT.Path Parameters
string
required
UUID of the parent session.
Response
array
Array of child session records.
Show session object properties
Show session object properties
string
Child session UUID.
string
Human-readable session name.
string
LLM model used.
string
Current state:
active, idle, ended.string
Agent platform identifier.
string
Parent session UUID (matches the path parameter).
datetime
When the child session began.
datetime
When the child session ended.
null if still active.curl https://api.quintai.dev/v1/sessions/6ba7b810-9dad-11d1-80b4-00c04fd430c8/children \
-H "Authorization: Bearer qt_deploy_YOUR_TOKEN"
import requests
response = requests.get(
"https://api.quintai.dev/v1/sessions/6ba7b810-9dad-11d1-80b4-00c04fd430c8/children",
headers={"Authorization": "Bearer qt_deploy_YOUR_TOKEN"},
)
print(response.json())
{
"children": [
{
"id": "7ca8c921-aeae-22e2-91c5-11d15ge541d9",
"session_name": "MCP server task",
"model": "claude-sonnet-4-20250514",
"state": "ended",
"platform": "claude-code",
"parent_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"started_at": "2026-04-12T14:10:00Z",
"ended_at": "2026-04-12T14:12:00Z"
}
]
}